> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ratings Analysts

> Returns the full list of analysts that are providing ratings

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "analyst_ratings_analyst": [
      {
        "firm_id": "57f832a96b87f600016fa347",
        "firm_name": "Morgan Stanley",
        "id": "683d9c45e5343b000101a1e3",
        "name_first": "Lillian",
        "name_full": "Lillian Lou",
        "name_last": "Lou",
        "ratings_accuracy": {
          "1m_average_return": "0.0",
          "1m_smart_score": "13.81",
          "1m_stdev": "0.0",
          "1m_success_rate": "0.0",
          "1y_average_return": "-60.47",
          "1y_loss_count": 1,
          "1y_smart_score": "16.39",
          "1y_stdev": "0.0",
          "1y_success_rate": "0.0",
          "2y_average_return": "-60.47",
          "2y_loss_count": 1,
          "2y_smart_score": "13.36",
          "2y_stdev": "0.0",
          "2y_success_rate": "0.0",
          "3m_average_return": "0.0",
          "3m_smart_score": "10.68",
          "3m_stdev": "0.0",
          "3m_success_rate": "0.0",
          "3y_average_return": "-60.47",
          "3y_loss_count": 1,
          "3y_smart_score": "11.3",
          "3y_stdev": "0.0",
          "3y_success_rate": "0.0",
          "9m_average_return": "-60.47",
          "9m_loss_count": 1,
          "9m_smart_score": "17.27",
          "9m_stdev": "0.0",
          "9m_success_rate": "0.0",
          "overall_average_return": "-60.47",
          "overall_avg_return_percentile": "1.7",
          "overall_loss_count": 1,
          "overall_stdev": "0.0",
          "overall_success_rate": "0.0",
          "smart_score": "2.86",
          "total_ratings": 1,
          "total_ratings_percentile": "7.56"
        },
        "updated": 1767619219
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar/ratings/analysts
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/ratings/analysts:
    get:
      tags:
        - ratings_analysts
      summary: Ratings Analysts
      description: Returns the full list of analysts that are providing ratings
      operationId: get-ratings-analysts
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: Fields
          in: query
          name: fields
          schema:
            type: string
        - description: Analyst
          in: query
          name: analyst
          schema:
            type: string
        - description: Analyst name
          in: query
          name: analyst_name
          schema:
            type: string
        - description: Firm
          in: query
          name: firm
          schema:
            type: string
        - description: Firm name
          in: query
          name: firm_name
          schema:
            type: string
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: Ratings Analysts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.RatingsAnalyst'
            text/xml:
              schema:
                $ref: '#/components/schemas/calendarapi.RatingsAnalyst'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.RatingsAnalyst:
      properties:
        firm_id:
          example: FIRM-123456
          type: string
        firm_name:
          example: Goldman Sachs
          type: string
        id:
          example: 64a1b2c3d4e5f6789012345
          type: string
        name_first:
          example: John
          type: string
        name_full:
          example: John Smith
          type: string
        name_last:
          example: Smith
          type: string
        rank:
          properties:
            1m_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            1y_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            2y_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            3m_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            3y_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            9m_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
            overall_smart_score_rank:
              $ref: '#/components/schemas/calendarapi.Rank'
          type: object
        ratings_accuracy:
          $ref: '#/components/schemas/calendarapi.RatingsAccuracy'
        updated:
          example: 1704758400
          type: integer
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Rank:
      properties:
        rank:
          example: 15
          type: integer
        total:
          example: 500
          type: integer
      type: object
    calendarapi.RatingsAccuracy:
      properties:
        1m_average_return:
          example: '3.5'
          type: string
        1m_gain_count:
          example: 52
          type: integer
        1m_loss_count:
          example: 28
          type: integer
        1m_smart_score:
          example: '82.5'
          type: string
        1m_stdev:
          example: '2.5'
          type: string
        1m_success_rate:
          example: '65.0'
          type: string
        1y_average_return:
          example: '18.5'
          type: string
        1y_gain_count:
          example: 57
          type: integer
        1y_loss_count:
          example: 23
          type: integer
        1y_smart_score:
          example: '87.0'
          type: string
        1y_stdev:
          example: '9.5'
          type: string
        1y_success_rate:
          example: '71.5'
          type: string
        2y_average_return:
          example: '22.5'
          type: string
        2y_gain_count:
          example: 55
          type: integer
        2y_loss_count:
          example: 25
          type: integer
        2y_smart_score:
          example: '85.5'
          type: string
        2y_stdev:
          example: '11.5'
          type: string
        2y_success_rate:
          example: '69.0'
          type: string
        3m_average_return:
          example: '7.5'
          type: string
        3m_gain_count:
          example: 54
          type: integer
        3m_loss_count:
          example: 26
          type: integer
        3m_smart_score:
          example: '84.0'
          type: string
        3m_stdev:
          example: '4.5'
          type: string
        3m_success_rate:
          example: '67.5'
          type: string
        3y_average_return:
          example: '25.5'
          type: string
        3y_gain_count:
          example: 53
          type: integer
        3y_loss_count:
          example: 27
          type: integer
        3y_smart_score:
          example: '84.0'
          type: string
        3y_stdev:
          example: '13.5'
          type: string
        3y_success_rate:
          example: '68.5'
          type: string
        9m_average_return:
          example: '15.5'
          type: string
        9m_gain_count:
          example: 56
          type: integer
        9m_loss_count:
          example: 24
          type: integer
        9m_smart_score:
          example: '86.5'
          type: string
        9m_stdev:
          example: '7.5'
          type: string
        9m_success_rate:
          example: '70.0'
          type: string
        overall_average_return:
          example: '12.5'
          type: string
        overall_avg_return_percentile:
          example: '72.3'
          type: string
        overall_gain_count:
          example: 168
          type: integer
        overall_loss_count:
          example: 77
          type: integer
        overall_stdev:
          example: '8.5'
          type: string
        overall_success_rate:
          example: '68.5'
          type: string
        smart_score:
          example: '85.5'
          type: string
        total_ratings:
          example: 245
          type: integer
        total_ratings_percentile:
          example: '85.0'
          type: string
        updated:
          example: 1704758400
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````